#include <cstdio>
#include <map>
#include <iostream>
#include <string>
#include <cctype>

static const string Voka    = "AEIOUY"
                              "aeiouy";
static const string Konso   = "BCDFGHJKLMNPQRSTVWXZ"
                              "bcdfghjklmnpqrstvwxz";
static const string Molemmat= "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
                              "abcdefghijklmnopqrstuvwxyz";
static const string Kovat   = "BDGKPQT"
                              "bdgkpqt";
static const string Kovat2  = "BDGKPQTXZ"
                              "bdgkpqtxz";

class uns
{
	unsigned val;
public:
	uns() : val(0) { }
	operator unsigned & () { return val; }
};

static map<string, uns> bytes;

static string GetByte(const char *&p)
{
    while(*p && Molemmat.find(*p) == Molemmat.npos)++p;

    string Buf;

    while(Konso.find(*p) != Konso.npos)Buf += *p++;
    while(Voka.find(*p) != Voka.npos)Buf += *p++;
    while(Konso.find(*p) != Konso.npos)
    {
        if(Voka.find(p[1]) != Voka.npos)break;
        Buf += *p++;
    }
    while(*p==' ')++p;
    
    if(Buf.size())
    	++bytes[Buf];
    
    return Buf;
}

static void SPuhu(const char *s)
{
	string d;
    const char *p = s;
    while(*p)
    	d += *p++; //toupper(*p++);
    p = d.c_str();

    for(;;)
    {
        string t = GetByte(p);
        if(!t.size())break;
    }
}

int main(void)
{
	unsigned wholesize = 0;
	for(;;)
	{
		unsigned a;
		string s;
		getline(cin, s);
		if(!cin.good())break;
		a = s.find(' ');
		if(a == s.npos)continue;
		
		string text = s.substr(a+1);
		
		wholesize += text.size();
		
		SPuhu(text.c_str());
	}
	
	map<string,uns>::iterator i;
	
	multimap<unsigned, string> values;
	
	for(i=bytes.begin(); i!=bytes.end(); ++i)
	{
		values.insert(pair<unsigned, string> (i->second, i->first));
	}
	
	multimap<unsigned, string>::reverse_iterator j;
	
	unsigned tulosum=0, max=255;
	for(j=values.rbegin(); j!=values.rend(); ++j)
	{
		if(!--max)break;
		printf("%10u, \"%s\",\n", j->first, j->second.c_str());
		tulosum += j->first * j->second.size();
	}
	
	printf("%10u, \"\",\n", wholesize - tulosum);
	
	return 0;
}
